#include <functions.h>
#include <exec/types.h>
#include <exec/devices.h>
#include <intuition/intuition.h>
#include <ctype.h>

struct IntuitionBase *IntuitionBase = NULL;

void trash_libs(void)
{
	if (IntuitionBase) 
		CloseLibrary(IntuitionBase);
}

void init_libs(void)
{
	add_cleanup(trash_libs);

	if (!(IntuitionBase = (struct IntuitionBase *)OpenLibrary("intuition.library",0L)))
		panic("Can't open intuition.library");

}

